#include<bits/stdc++.h>
#define int long long
#define ios ios_base::sync_with_stdio(false); cin.tie(0);
#define double long double
#define endl '\n'
#define F first
#define S second
using namespace std;
struct Point{
    double x, y;
    double operator * (Point b) const {
        return x * b.y - y * b.x;
    }
    double operator % (Point b) const {
        return x * b.x + y * b.y;
    }
    double len() const{
        return sqrt(*this % *this);
    }
    Point operator + (Point b) const {
        return {x + b.x, y + b.y};
    }
    Point operator - (Point b) const {
        return {x - b.x, y - b.y};
    }
    Point operator * (double k) const {
        return {x * k, y * k};
    }
    Point operator / (double k) const {
        return {x / k, y / k};
    }
    Point rotate() const {
        return {-y, x};
    }
    Point rotate(double a){
        Point u = *this, v = u.rotate();
        return u * cos(a) + v * sin(a);
    }
    void scan(){
        cin>>x>>y;
    }
};
vector<int> edge, color;
vector<bool> used;
int n, root;
void dfs(int v){
    used[v] = true;
    if(root != v && root / n == v / n && color[root / n] > 2)
        color[root / n] = 2;
    if(used[edge[v]]) {
        if(root == edge[v])
            color[edge[v] / n] = 1;
    }else
        dfs(edge[v]);
}
bool cmp(pair<pair<double, double>, int> a, pair<pair<double, double>, int> b){
    if(a.F.F != b.F.F)
        return a.F.F < b.F.F;
    return a.F.S < b.F.S;
}
signed main() {
    ios
    int t;
    cin>>n>>t;
    t--;
    color.resize(n, 3);
    edge.resize(n * n);
    vector<Point> a(n);
    for(int i = 0; i < n;i ++)
        a[i].scan();
    for(int i = 0; i < n ;i ++){
        for(int j = 0; j < n ;j ++){
            if(i == j)
                continue;
            vector<pair<pair<double, double>, int>> f, s;
            for(int k = 0; k < n ;k ++){
                if(k == j)
                    continue;
                double SIN = (a[j] - a[i]) * (a[k] - a[j]) / (a[j] - a[i]).len() / (a[k] - a[j]).len();
                double COS = (a[j] - a[i]) % (a[k] - a[j]) / (a[j] - a[i]).len() / (a[k] - a[j]).len();
                if(SIN >= 0){
                    f.push_back({{-COS, (a[k] - a[j]).len()}, k});
                }else
                    s.push_back({{COS, (a[k] - a[j]).len()}, k});
            }
            sort(f.begin(), f.end(), cmp);
            sort(s.begin(), s.end(), cmp);
            if(f.size() <= t){
                edge[i * n + j] = j * n + s[t - (int)f.size()].S;
            }else
                edge[i * n + j] = j * n + f[t].S;
        }
    } //граф n вершин n ребер
    // дерево, но с одним вершинно простым циклом (вроде)
    for(int i = 0; i < n ; i ++){
        for(int j = 0; j < n ;j ++){
            if(j == i)
                continue;
            used.clear();
            used.resize(n * n, false);
            root = i * n + j;
            dfs(i * n + j);
        }
        if(color[i] == 1){
            cout<<'G';
        }else{
            if(color[i] == 2)
                cout<<'B';
            else
                cout<<'R';
        }
    }
    cout<<endl;
}
/*
6 4
-1 -1
1 -2
 4 -2
2 -4
2 3
-4 -5
 */
